Subject: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: martin rudalics <[email-masked]>
Date: Sun, 19 Jan 2014 18:30:41 +0100

> Your fix works and makes sense. The documentation of window-width says: "[If] a column at the right of the text area is only partially visible, that counts as a whole column; to exclude partially-visible columns, use `window-text-width'."

That text was my invention though.  I simply adapted the doc-string of
`window-body-height' which says

   If PIXELWISE is nil and a line at the bottom of the text area is only
   partially visible, that counts as a whole line; to exclude
   partially-visible lines, use `window-text-height'.

to the width specification.

 > However, doesn't that imply that the alternate clause of the if in term-window-width should also use window-text-width? If I turn off fringes using (set-fringe-mode 0), the bug comes back. I know term-window-width already does an explicit decrement from (window-width) in that case, but that does not seem sufficient. Switching that call to (window-text-width) and keeping the decrement works, however.

Installed in revision 116074.  Keep me informed if there are still
problems.

Thanks, martin